Generation Framework

## org.eclipse.gmf.mappings
Interface FeatureSeqInitializer

All Superinterfaces:
  ElementInitializer, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  FeatureSeqInitializerImpl

    public interface FeatureSeqInitializer

extends ElementInitializer

A representation of the model object 'Feature Seq Initializer'. Feature sequence initializer to initialize a sequence of features

The following features are supported:

- `Initializers`
- `Element Class`
- `Creating Initializer`

See Also:
  `GMFMapPackage.getFeatureSeqInitializer()`
** Generated **
Model:

Method Summary
`ReferenceNewElementSpec` `getCreatingInitializer()` Returns the value of the 'Creating Initializer' container reference.
`org.eclipse.emf.ecore.EClass` `getElementClass()` Returns the value of the 'Element Class' reference
`org.eclipse.emf.common.util.EList<FeatureInitializer>` `getInitializers()` Returns the value of the 'Initializers' containment reference list.
`void` `setElementClass(org.eclipse.emf.ecore.EClass value)` Sets the value of the '`Element Class`' reference

Methods inherited from interface org.eclipse.gmf.mappings.ElementInitializer
`getMappingEntry`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getInitializers

    org.eclipse.emf.common.util.EList<FeatureInitializer> getInitializers()

  Returns the value of the 'Initializers' containment reference list. The list contents are of type `FeatureInitializer`. It is bidirectional and its opposite is '`Feature Seq Initializer`'.

  If the meaning of the 'Initializers' containment reference list isn't clear, there really should be more of a description here...

  Value specifications as initializers for individual features which should be initialized in the order given by this list

  Returns:
    the value of the 'Initializers' containment reference list.
  See Also:
    `GMFMapPackage.getFeatureSeqInitializer_Initializers()`, `FeatureInitializer.getFeatureSeqInitializer()`
  ** Generated **
  Model:
    opposite="featureSeqInitializer" containment="true" required="true"

### getElementClass

    org.eclipse.emf.ecore.EClass getElementClass()

  Returns the value of the 'Element Class' reference.

  If the meaning of the 'Element Class' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Element Class' reference.
  See Also:
    `setElementClass(EClass)`, `GMFMapPackage.getFeatureSeqInitializer_ElementClass()`
  ** Generated **
  Model:
    annotation="http://www.eclipse.org/gmf/2005/constraints ocl='not creatingInitializer.feature.oclIsUndefined() implies creatingInitializer.feature.oclAsType(ecore::EReference).eReferenceType.isSuperTypeOf(elementClass)' description='\'elementClass\' must be the same as or sub-type of the containing \'GenReferenceNewElementSpec\' reference type'" annotation="http://www.eclipse.org/gmf/2005/constraints ocl='not creatingInitializer.feature.oclIsUndefined() implies not (elementClass.interface or elementClass.abstract)' description='\'elementClass\' must be a concrete EClass which is the same or sub-type of the containing \'GenReferenceNewElementSpec\' reference type'"

### setElementClass

    void setElementClass(org.eclipse.emf.ecore.EClass value)

  Sets the value of the '`Element Class`' reference.

  Parameters:
    `value` - the new value of the 'Element Class' reference.
  See Also:
    `getElementClass()`
  ** Generated **

### getCreatingInitializer

    ReferenceNewElementSpec getCreatingInitializer()

  Returns the value of the 'Creating Initializer' container reference. It is bidirectional and its opposite is '`New Element Initializers`'.

  If the meaning of the 'Creating Initializer' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Creating Initializer' container reference.
  See Also:
    `GMFMapPackage.getFeatureSeqInitializer_CreatingInitializer()`, `ReferenceNewElementSpec.getNewElementInitializers()`
  ** Generated **
  Model:
    opposite="newElementInitializers" resolveProxies="false" transient="false" changeable="false"

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.